gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.SetT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype SetT = SetT (ManagedPtr SetT)

# Exported types

newtype SetT Source #

Memory-managed wrapper type.

Constructors

SetT (ManagedPtr SetT) |

#### Instances

Instances details

Eq SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods (==) :: SetT -> SetT -> Bool # (/=) :: SetT -> SetT -> Bool #
GBoxed SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT
TypedObject SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods glibType :: IO GType Source #
ManagedPtrNewtype SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods toManagedPtr :: SetT -> ManagedPtr SetT Source #
IsGValue SetT Source # | Convert `SetT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.SetT Methods toGValue :: SetT -> IO GValue Source # fromGValue :: GValue -> IO SetT Source #
HasParentTypes SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT
type ParentTypes SetT Source # |
Instance details Defined in GI.HarfBuzz.Structs.SetT type ParentTypes SetT = '[] :: [Type]

# Methods

## Overloaded methods